Creates a new purchase order
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| id2 |
Internal ID (numeric) automatically filled if empty |
integer | |
| jobs_id |
Foreign key to Jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" using ERP PK when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| supplier_company_id |
Foreign key to company, contains the supplier |
globally unique identifier | |
| supplier_company_code |
Embedded entity "company" for the supplier using ERP PK when adding/updating |
string | |
| supplier_company |
Embedded entity "company" for supplier using ERP PK when adding/updating |
company | |
| user_id |
Creator of the purchase order |
globally unique identifier | |
| user_code |
Embedded entity "user" for creator using ERP PK when adding/updating purchase_order |
string | |
| user |
Embedded entity "user" for creator using node when adding/updating purchase_order |
user | |
| description |
Description of the purchase order |
string |
Max length: 4000 |
| memo |
Memo, remark |
string | |
| total_lines |
Number of lines, automatically filled when adding/updating/deleting lines |
integer | |
| date_create |
Creation date |
date | |
| date_update |
Last update date |
date | |
| date_delivery |
Estimated date of delivery |
date | |
| confirmed_date_delivery |
Date of the delivery |
date | |
| delivery_db_address_id |
If Delivery and no picking, AddressID of the company (if not the main) |
globally unique identifier | |
| approved_by_user_id |
If approval was needed, which user approves it |
globally unique identifier | |
| approved_by_user_code |
Embedded entity "user" for approver using ERP PK when adding/updating purchase_order |
string | |
| approved_by_user |
Embedded entity "user" for approver using node when adding/updating purchase_order |
user | |
| technical_user_id |
User to contact if case of technical question about the purchase order |
globally unique identifier | |
| technical_user_code |
Embedded entity "user" for technical user using ERP PK when adding/updating purchase_order |
string | |
| technical_user |
Embedded entity "user" for technical user using node when adding/updating purchase_order |
user | |
| purchase_order_status_id |
Foreign key to purchase_order_status |
globally unique identifier |
Optionally required : purchase_order_status_id or purchase_order_status_code must be provided |
| purchase_order_status_code |
Foreign key to purchase_order_status using code. Use "Approved","SentToSupplier","Cancelled" or "Delivered" |
string |
Optionally required : purchase_order_status_id or purchase_order_status_code must be provided |
| article_stock_location_id |
Stock location that will receive the articles |
globally unique identifier | |
| is_pickup |
If pickup, the technician will go himself to the supplier to take the goods |
boolean | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "c1256374-3a50-4906-be38-d4e8c2e6060d",
"id2": 2,
"jobs_id": "956a5c61-1768-4f21-8094-c62bebecc039",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "08a07353-252d-4ad4-9332-c2b8399eae92",
"supplier_company_code": "sample string 6",
"user_id": "e85a578b-6821-4fdb-906c-e19257619e54",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-07-29T14:51:18.5405269+00:00",
"date_update": "2026-07-29T14:51:18.5405269+00:00",
"date_delivery": "2026-07-29T14:51:18.5405269+00:00",
"confirmed_date_delivery": "2026-07-29T14:51:18.5405269+00:00",
"delivery_db_address_id": "4c008bd3-8f36-4956-81ec-c10d20409189",
"approved_by_user_id": "63d89e58-a024-4614-b738-24491f361b7d",
"approved_by_user_code": "sample string 18",
"technical_user_id": "efaf2d40-9570-462e-b3a9-8ca3046730fe",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "84a6b000-491e-463b-88b6-05b46b1259d6",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "36c77cb0-8bd0-4d26-99ae-b7325f0a949f",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-07-29T14:51:18.5405269+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.